Track Playback Events

In order to comply with the specific Interactive Radio rulesets (eg. DMCA, GVL), you are required to send back each user's playback events. These events will directly influence the tracks are allowed to be played and skipped in the current listening session.

 \ Example request

POST https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playStarted?trackId=3176939&playlistId=57fd1c67678dca190c362c4c&format=aac.160
POST https://7digital-skippi.radio.7digital.net/listeningSession/4d725917-d4c1-4999-b506-6650fe771cda/playEnded?trackId=18811109&playlistId=57f2a59e678dca15749733be
POST https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playPaused?trackId=13155772&playlistId=57fd1c67678dca190c362c4c
POST https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playResumed?trackId=13155772&playlistId=57fd1c67678dca190c362c4c
POST https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playResumed?trackId=13155772&playlistId=57fd1c67678dca190c362c4c
POST https://7digital-skippi.radio.7digital.net/listeningSession/4d725917-d4c1-4999-b506-6650fe771cda/playEnded?trackId=18811109&playlistId=57f2a59e678dca15749733be
POST https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playSkipped?trackId=13155772&playlistId=57fd1c67678dca190c362c4c
EventDescription
playStartedThe current track has started to play.
playEndedThe current track naturally comes to an end.
playPausedThe current track has been paused by the user.
playResumedThe current track has resumed playing.
playStoppedThe current track has been stopped by the user.
playSkippedThe current track has been skipped by the user.

Example Response

Successfully submitted events will return an HTTP 204: No content response.

Specific Error Codes

  • HTTP: 404 - Session not found
Path Params
string
required

Identifier for the listening session, generated what the session started.

string
required

The event being reported; a specific string detailed below.

Query Params
string
required

The MassiveMusic trackId of the current track.

int32
required

The MassiveMusic playlistId of the playlist that the track belongs to.

string

Only required for a playStarted event, determining the format and quality of the content being streamed.

Language
LoadingLoading…